package com.agri.system.mapper;

import com.agri.system.domain.SysUserAgri;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;

import java.util.List;

/**
 * 大棚信息（用户-设备关联）Mapper接口
 * 
 * @author lld
 * @date 2026-01-25
 */
public interface SysUserAgriMapper extends BaseMapper<SysUserAgri>
{
    /**
     * 查询大棚信息（用户-设备关联）
     * 
     * @param id 大棚信息（用户-设备关联）主键
     * @return 大棚信息（用户-设备关联）
     */
    public SysUserAgri selectSysUserAgriById(Long id);

    /**
     * 查询大棚信息（用户-设备关联）列表
     * 
     * @param sysUserAgri 大棚信息（用户-设备关联）
     * @return 大棚信息（用户-设备关联）集合
     */
    public List<SysUserAgri> selectSysUserAgriList(SysUserAgri sysUserAgri);

    /**
     * 新增大棚信息（用户-设备关联）
     * 
     * @param sysUserAgri 大棚信息（用户-设备关联）
     * @return 结果
     */
    public int insertSysUserAgri(SysUserAgri sysUserAgri);

    /**
     * 修改大棚信息（用户-设备关联）
     * 
     * @param sysUserAgri 大棚信息（用户-设备关联）
     * @return 结果
     */
    public int updateSysUserAgri(SysUserAgri sysUserAgri);

    /**
     * 删除大棚信息（用户-设备关联）
     * 
     * @param id 大棚信息（用户-设备关联）主键
     * @return 结果
     */
    public int deleteSysUserAgriById(Long id);

    /**
     * 批量删除大棚信息（用户-设备关联）
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteSysUserAgriByIds(Long[] ids);

    /**
     * 查看大棚下用户
     * @param sysUserAgri
     * @return
     */
    List<SysUserAgri> findAgriUser(SysUserAgri sysUserAgri);

    /**
     * 查询所有用户 以及关联大棚的用户 disbaled展示true
     * @param sysUserAgri
     * @return
     */
    List<SysUserAgri> findAllUser(SysUserAgri sysUserAgri);
}
